PS_SHADING(3)

NAME
PS_shading — Create shading

SYNOPSIS

#include <pslib.h>

int PS_shading(PSDoc *psdoc, const char *shtype, float x0, float y0, float x1, float y1, float c1, float c2, float c3, float c4, const char *optlist)

DESCRIPTION

This function creates a shading which can be used by PS_shfill(3) or PS_shading_pattern(3). The type of shading can be either `radial' or `axial'. Each shading starts with the current fill color and ends with the given color values passed in the parameters c1 to
c4 (see PS_setcolor(3)      for their meaning). The coordinates x0,
y0, x1, y1 are the start and end point of the shading. If the shading is of type `radial' the option list must also contain the parameters r0 and r1 with the radius of the start and end circle.

The color of the shading can be in any color space except for `pattern'.

RETURN VALUE

Returns the identifier of the shading or zero in case of an error. The identifier is a positiv number.

SEE ALSO

PS_shfill(3), PS_shading_pattern(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.